Bug 135313 - RHEL4: Include OpenIPMI userspace libraries
RHEL4: Include OpenIPMI userspace libraries
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: distribution (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: dff
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-10-11 17:15 EDT by Matt Domsch
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-10 16:22:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2004-10-11 17:15:14 EDT
Description of problem:
Thank you for including the OpenIPMI device drivers in RHEL4  by 
virtue of their inclusion in kernel.org.

Please include in the distribution the OpenIPMI userspace libraries, 
version 1.4.3 (experimental but more features and extensively 
tested), such that third party applications such as Dell OpenManage 
may write their applications and link against such libraries.  By 
including the libraries in the distribution, Red Hat has the chance 
to control the release of those libraries for use by ISVs/IHVs. 

If Red Hat chooses not to include the userspace libraries, every 
third-party application that needs to communicate with the OpenIPMI 
device driver will need to provide them themselves, and due to 
concurrency issues regarding multiple IPMI commands being in flight 
at a time, having multiple instances of the userspace libraries is 
not feasible.

(Alias: IssueTracker 51521)
Comment 1 Suzanne Hillman 2004-10-15 16:10:32 EDT
Internal RFE bug #135938 opened; will be considered for future releases.
Comment 2 Matt Domsch 2004-11-10 16:22:03 EST
Per Dell OMSA team in conversation with OpenIPMI maintainer, they 
don't actually need this library as they thought they did.  Thus I'm 
closing this.  

Note You need to log in before you can comment on or make changes to this bug.